@echo off

rem (c) 2000 Jaromir Dolecek - All rights reserved ;-b
rem $Id: install_isapi.bat,v 1.1 2000/01/24 12:12:18 dolecek Exp $

rem Skript pro instalaci ISAPI CSacku
rem Akceptuje dva parametry parametr - jmeno adresare, kam se ma
rem presunou ISAPI dll a druhy parametr "a" nebo "n" oznacujici
rem zda se ma provest uprava registry

rem jmeno ISAPI dll CSacku
set binarka=csacek_isapi.dll

rem otesti, jestli byl zadan parametr nebo jestli parametr byl /?
if x%1 == x goto err:
if x%1 == x/? goto err:

rem otesti, jestli existuje binarka
if exist %binarka% goto ok1:
echo %0: soubor %binarka% neexistuje - spoustite instalaci
echo %0: z adresare s rozbalenym ISAPI CSackem ?
goto neuspech:

:ok1
rem otesti, jestli zadany adresar existuje a pokud ne, tak ho vytvor
if exist %1 goto ok2:
echo %0: adresar %1 neexistuje, byl tedy vytvoren
md %1

:ok2
echo %0: kopiruji %binarka% do adresare %1
copy %binarka% %1 >NUL

rem vytvor adresar C:\CSacek\ pokud uz neexistuje a prekopiruj tam
rem whichcode_template.html
if exist C:\CSacek goto kopiruj_wt:
echo %0: vytvarim adresar C:\CSacek\
md C:\CSacek

:kopiruj_wt
if exist whichcode_template.html goto wt:
echo %0: soubor whichcode_template.html nenalezen! Koncim.
goto neuspech

:wt
if not exist C:\CSacek\whichcode_template.html goto wt_copy
echo %0: soubor C:\CSacek\whichcode_template.html existuje, nechavam beze zmeny
goto reg

:wt_copy
echo %0: kopiruji soubor whichcode_template.html do C:\CSacek\
copy whichcode_template.html C:\CSacek >NUL

:reg
rem pokud to nebylo zakazano, uprav registry
if x%2 == xn goto konec_instalace:
if x%2 == xne goto konec_instalace:
if exist csacek_isapi.reg goto inst_reg:
echo %0: soubor csacek_isapi.reg nebyl nalezen, registry se tedy neupravi
goto neuspech

:inst_reg
echo %0: pridavam defaultni CSacek konfiguraci do Registry ...
regedit /s csacek_isapi.reg 

:konec_instalace
echo %0: Gratuluji - instalace ISAPI CSacku uspesne skoncila.
goto konec

:err
echo Syntax:
echo %0 ADRESAR [a/n]
echo *
echo ADRESAR - adresar s CGI skripty, kam se maji umistit binarni
echo soubory CSaceku (soubory toXXX, whichcode)
echo *
echo druhy parametr (bud a nebo n) oznacuje, jestli se ma do registry
echo zapsat defaultni konfigurace CSacku (klic HKLM/Software/CSacek) ze
echo souboru csacek_isapi.reg - pokud nezadate n, registry se _upravi_

:neuspech
echo %0: Instalace ISAPI CSacku skoncila NEUSPESNE.

:konec
